%define        pythonsip_ver  %(sip -V)

Name:          PyQt5
Version:       5.11.3
Release:       2mamba
Summary:       Python bindings for the Qt5 cross platform GUI toolkit
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.riverbankcomputing.com/software/pyqt
Source:        http://sourceforge.net/projects/pyqt/files/PyQt5/PyQt-%{version}/PyQt5_gpl-%{version}.tar.gz
Patch0:        PyQt4-egl.patch
Patch1:        PyQt4-4.7.3-qreal_float_support.patch
Patch2:        PyQt4-4.9.4-x86_64.patch
Patch3:        PyQt5-5.3.2-python-sip-4.16.1.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGL-devel
BuildRequires: libgcc
BuildRequires: libpython-devel
BuildRequires: libpython27-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: chrpath
BuildRequires: libXcursor-devel
BuildRequires: libdbus-devel
BuildRequires: python-dbus
BuildRequires: python-dbus-devel
# WARNING: do not parametrize python-sip-devel version or it will be useless for ports
BuildRequires: python-sip-devel >= 4.19.13
Requires:      python-dbus
Requires:      %{name}-qmlplugin
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
PyQt5 is a comprehensive set of Python bindings for Nokia's Qt5 cross platform GUI toolkit.

%if "%?with_pyver"
%define pyver           %{with_pyver}
%define __python        %(rpm --eval %{__python%{with_pyver}})
%define python_sitearch %(rpm --eval %{python%{with_pyver}_sitearch})
%define python_sitelib  %(rpm --eval %{python%{with_pyver}_sitelib})
%define python_inc      %(rpm --eval %{python%{with_pyver}_inc})
%define python_version  %(rpm --eval %{python%{with_pyver}_version})
%define python_provides %(rpm --eval %{python%{with_pyver}_provides})
%define python_requires %(rpm --eval %{python%{with_pyver}_requires})
%define py_requires     %(rpm --eval %{py%{with_pyver}_requires})

%package py%{pyver}
Group:         System/Libraries/Python
Summary:       Python %{pyver} bindings for the Qt5 cross platform GUI toolkit
%py_requires

%description py%{pyver}
PyQt5 is a comprehensive set of Python bindings for Qt5 cross platform GUI toolkit.
%endif

%package devel
Summary:       Development files for PyQt5
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-QtDesigner = %{?epoch:%epoch:}%{version}-%{release}

%description devel
PyQt4 is a comprehensive set of Python bindings for Nokia's Qt4 cross platform GUI toolkit.

This package contains files needed for development.

%package qmlplugin
Summary:       Qml plugin for PyQt5
Group:         System/Libraries

%description qmlplugin
PyQt4 is a comprehensive set of Python bindings for Nokia's Qt4 cross platform GUI toolkit.

This package contains the QML plugin.

%package %{?with_pyver:py%{pyver}-}QtDesigner
Summary:       QtDesigner support components for PyQt4
Group:         System/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description %{?with_pyver:py%{pyver}-}QtDesigner
PyQt4 is a comprehensive set of Python bindings for Nokia's Qt4 cross platform GUI toolkit.

This package contains the QtDesigner support components for PyQt4.

%prep
%setup -q -n PyQt5_gpl-%{version}
#-D -T
#:<< _EOF
#%patch0 -p0
#% ifarch arm
#% patch1 -p1
#% endif
#%ifarch x86_64
#%patch2 -p1
#%endif
#%patch3 -p1

%build
#:<< _EOF
sed -i "/generate_code(\"phonon\")/s:phonon\":&, extra_include_dirs=[\"%{_includedir}/phonon\"]:" configure.py

%{__python} configure.py CXXFLAGS="%{optflags}" CFLAGS="%{optflags}" \
  --qmake=%{_qt5_qmake} \
  -d %{python_sitearch} \
  --confirm-license \
  --assume-shared \
  --verbose

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall INSTALL_ROOT=%{buildroot}

# Fix documentation permissions
find examples/ -type f -exec chmod 0644 {} ';'

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files %{?with_pyver:py%{pyver}}
%defattr(-,root,root)
%{python_sitelib}/dbus/mainloop/pyqt5.so
%dir %{python_sitearch}/PyQt5-%{version}.dist-info
%{python_sitearch}/PyQt5-%{version}.dist-info/*
%dir %{python_sitearch}/PyQt5
%{python_sitearch}/PyQt5/*
%exclude %{python_sitearch}/PyQt5/QtDesigner.so
%dir %{_qt5_plugindir}/PyQt5
%doc LICENSE*

%files qmlplugin
%defattr(-,root,root)
%{_qt5_plugindir}/PyQt5/libpyqt5qmlplugin.so

%files devel
%defattr(-,root,root)
%{_bindir}/*
%dir %{_datadir}/sip/PyQt5
%{_datadir}/sip/PyQt5/*
%{_datadir}/qt5/qsci/api/python/PyQt5.api
%doc examples
%doc NEWS README

%files %{?with_pyver:py%{pyver}-}QtDesigner
%defattr(-,root,root)
%{python_sitearch}/PyQt5/QtDesigner.so
%{_qt5_plugindir}/designer/*

%changelog
* Fri Jul 12 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.3-2mamba
- package the qmlplugin apart to fix conflict between -py* packages

* Fri Dec 28 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 5.11.3-1mamba
- update to 5.11.3

* Sun Jan 18 2015 Automatic Build System <autodist@mambasoft.it> 5.4-1mamba
- automatic update by autodist

* Thu Nov 20 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.2-2mamba
- -py3 support

* Fri Sep 19 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 5.3.2-1mamba
- update to 5.3.2

* Wed Dec 25 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.3-2mamba
- rebuilt with python-sip 4.15.3

* Mon Sep 30 2013 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.10.3-1mamba
- update to 4.10.3

* Thu Jul 11 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.2-1mamba
- update to 4.10.2

* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.10.1-2mamba
- rebuilt with python 2.7

* Sat May 11 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- update to 4.10.1

* Thu Feb 14 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.6-1mamba
- update to 4.9.6

* Sat Aug 11 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Feb 09 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.6-1mamba
- update to 4.8.6
- move uic module to main package as requires by system-config-printer-kde
- added patch to fix build with Qt EGL enabled

* Sun Sep 25 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.5-2mamba
- added PyQt4-QtDesigner subpackage

* Sun Aug 21 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.8.5-1mamba
- update to 4.8.5

* Thu Jul 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.4-2mamba
- rebuilt with python-sip 4.12.3

* Wed May 18 2011 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.8.4-1mamba
- update to 4.8.4

* Tue Mar 08 2011 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic update by autodist

* Sat Jan 08 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8.1-2mamba
- rebuilt with python-sip 4.12

* Sat Nov 13 2010 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic update by autodist

* Sat Oct 30 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8-2mamba
- rebuilt with libqt 4.7.0

* Thu Oct 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.8-1mamba
- update to 4.8
- added string version requirement for python-sip

* Wed Jul 14 2010 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic update by autodist

* Wed May 05 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.7.3-1mamba
- update to 4.7.3

* Sun Apr 11 2010 Davide Madrisan <davide.madrisan@gmail.com> 4.7.2-1mamba
- update to 4.7.2
- add missing %%defattr directive
- dropped patch for phonon: it was merged upstream

* Tue Mar 09 2010 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 4.7-2mamba
- added devel package

* Thu Jan 28 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.7-1mamba
- update to 4.7

* Tue Nov 10 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.6.1-1mamba
- update to 4.6.1

* Wed Aug 12 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 4.5.4-1mamba
- update to 4.5.4

* Fri Dec 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.4-3mamba
- added requirement for python-cups

* Fri Dec 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.4-2mamba
- rebuilt

* Mon Nov 10 2008 gil <puntogil@libero.it> 4.4.4-1mamba
- update to 4.4.4 with python 2.6

* Sun Oct 12 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.4.3-2mamba
- don't pass 'echo yes' but just 'yes' to accept license question

* Sat Oct 11 2008 gil <puntogil@libero.it> 4.4.3-1mamba
- update to 4.4.3

* Tue May 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.3-2mamba
- repackaged with dbus support

* Fri May 09 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 4.3.3-1mamba
- update to 4.3.3

* Fri Oct 05 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 3.17.3-1mamba
- update to 3.17.3

* Mon Jul 10 2006 Silvan Calarco <silvan.calarco@mambasoft.it> 3.16-1qilnx
- update to version 3.16 by autospec

* Wed Mar 16 2005 Silvan Calarco <silvan.calarco@mambasoft.it> 3.14.1-1qilnx
- package created by autospec
